### Method

# Handy ComboRow set_for_enum

since: 1.0

#### Declaration [src]

    void
    hdy_combo_row_set_for_enum (
      HdyComboRow* self,
      GType enum_type,
      HdyComboRowGetEnumValueNameFunc get_name_func,
      gpointer user_data,
      GDestroyNotify user_data_free_func
    )

#### Description [src]

Creates a model for `enum_type` and binds it to `self`.

The items of the model will be `HdyEnumValueObject` objects.

If `self` was already bound to a model, that previous binding is destroyed.

The contents of `self` are cleared and then filled with widgets that represent items from `model`. `self` is updated whenever `model` changes. If `model` is `NULL`, `self` is left empty.

This is more convenient to use than `hdy_combo_row_bind_name_model()` if you want to represent values of an enumeration with names.

See `hdy_enum_value_row_name()`.

Available since: 1.0

#### Parameters

`enum_type`

  Type: `GType`

  The enumeration GLib.Type to be bound to `self`.

`get_name_func`

  Type: `HdyComboRowGetEnumValueNameFunc`

  A function that creates names for items, or `NULL` in case you also passed `NULL` as `model`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data passed to `get_name_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_data_free_func`

  Type: `GDestroyNotify`

  Function for freeing `user_data`.